#ifndef NETBSD_IOCTL_H_
#define NETBSD_IOCTL_H_
#define	NETBSD_IOCGROUP(x)	(((x) >> 8) & 0xff)
#define OSS_IOC_VOID        0x00000000      /* no parameters */
#define OSS_IOC_IN          0x40000000      /* copy in parameters */
#define OSS_IOC_OUT         0x80000000      /* copy out parameters */
#define OSS_IOC_INOUT       (OSS_IOC_IN | OSS_IOC_OUT)

#define NETBSD_SIOCALIFADDR     _IOW('i', 28, struct if_laddrreq) /* add IF addr */
#define NETBSD_SIOCGLIFADDR    _IOWR('i', 29, struct if_laddrreq) /* get IF addr */
#define NETBSD_SIOCDLIFADDR     _IOW('i', 30, struct if_laddrreq) /* delete IF addr */
#define NETBSD_SIOCSIFMTU       _IOW('i', 127, struct ifreq)   /* set ifnet mtu */
#define NETBSD_SIOCGIFMTU      _IOWR('i', 126, struct ifreq)   /* get ifnet mtu */
int do_ioctl(struct thread *td, int fd, u_long com, void *data);
void
oss_to_freebsd_ioctl(struct netbsd_ioctl_args *uap, struct ioctl_args *fap);
#endif /* NETBSD_IOCTL_H_ */
